> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/tr/gelistir/chiliz-chain-api.md).

# Chiliz Chain API

Chiliz Chain API, belirli bir bloğa kadar dolaşım arzı ayrıntıları ve belirli bir adres için staking bilgileri dahil olmak üzere CHZ arzı ve yönetimi hakkında faydalı bilgilere erişim sağlar.

## API Ayrıntıları

### Temel URL

API'nin temel URL'si <https://cc-api.chiliz.com/>

Varsayılan Swagger belgesi burada mevcuttur: <https://cc-api.chiliz.com/docs>

### Kimlik Doğrulama

Chiliz Chain API, güvenlik şemalarını tanımlamak için [OpenAPI Specification](https://www.openapis.org/) (OAS) v3.0.3 kullanmaktadır.

Kimlik doğrulama ayrıntıları bu belgede yer almadığından, kimlik doğrulama yöntemleri hakkında bilgi için lütfen [OAS 3.0 spesifikasyonuna](https://spec.openapis.org/oas/v3.0.3.html) başvurun.

### Veri Formatı

Tüm istek ve yanıtlar JSON formatındadır.

## Uç Noktalar

### GET /supply

Belirtilen blok numarasına kadar mevcut CHZ dolaşım arzını, blok bazındaki enflasyon ve deflasyon bilgileriyle birlikte getirir.

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

Belirli bir adres için belirli bir döneme kadar mevcut toplam stake miktarını ve staking ödüllerini; CHZ'nin nerede stake edildiğine dair ayrıntılarla (doğrulayıcılar ve miktarlar) birlikte getirir.

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/tr/gelistir/chiliz-chain-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
